# synfig::Target_Tile Class Reference

Render-target. More...

`#include <target_tile.h>`

Inheritance diagram for synfig::Target_Tile:

List of all members.

## Public Types

typedef etl::handle< Target_Tile > | Handle
typedef etl::loose_handle < Target_Tile > | LooseHandle
typedef etl::handle< const Target_Tile > | ConstHandle

## Public Member Functions

| Target_Tile ()
virtual bool | render (ProgressCallback *cb=NULL)
| Renders the canvas to the target.
virtual int | next_tile (int &x, int &y)
| Determines which tile needs to be rendered next.
virtual int | next_frame (Time &time)
virtual bool | add_tile (const synfig::Surface &surface, int x, int y)=0
| Adds the tile at x , y contained in surface.
virtual int | total_tiles () const
virtual bool | start_frame (ProgressCallback *cb=NULL)=0
| Marks the start of a frame.
virtual void | end_frame ()=0
| Marks the end of a frame.
void | set_threads (int x)
int | get_threads () const
void | set_tile_w (int w)
int | get_tile_w () const
void | set_tile_h (int h)
int | get_tile_h () const
bool | get_clipping () const
void | set_clipping (bool x)

## Detailed Description

Render-target.

Todo:
  writeme

## Member Typedef Documentation

typedef etl::handle<Target_Tile> synfig::Target_Tile::Handle

Reimplemented from synfig::Target.

typedef etl::loose_handle<Target_Tile> synfig::Target_Tile::LooseHandle

Reimplemented from synfig::Target.

typedef etl::handle<const Target_Tile> synfig::Target_Tile::ConstHandle

Reimplemented from synfig::Target.

## Constructor & Destructor Documentation

Target_Tile::Target_Tile | ( |  | ) |

## Member Function Documentation

bool synfig::Target_Tile::render | ( | ProgressCallback * | cb = `NULL` | ) | `[virtual]`

Renders the canvas to the target.

Implements synfig::Target.

References _, synfig::ProgressCallback::amount_complete(), synfig::Target::canvas, synfig::Canvas::create(), synfig::Target::desc, end_frame(), synfig::ProgressCallback::error(), synfig::RendDesc::get_frame_end(), synfig::RendDesc::get_frame_start(), synfig::RendDesc::get_time_end(), synfig::RendDesc::get_time_start(), synfig::Target::init(), next_frame(), synfig::optimize_layers(), synfig::RendDesc::set_frame_end(), and start_frame().

int Target_Tile::next_tile | ( | int & | x,
|  | int & | y |
| ) |  |  | `[virtual]`

Determines which tile needs to be rendered next.

Most cases will not have to redefine this function. The default should be adequate in nearly all situations.

Returns:
  The number of tiles left to go plus one. This means that whenever this function returns zero, there are no more tiles to render and that any value in x or y should be disregarded.

References synfig::Target::rend_desc().

int Target_Tile::next_frame | ( | Time & | time | ) | `[virtual]`

References synfig::Target::desc, synfig::RendDesc::get_frame_end(), synfig::RendDesc::get_frame_start(), synfig::RendDesc::get_time_end(), synfig::RendDesc::get_time_start(), and synfig::RendDesc::set_frame_end().

Referenced by render().

virtual bool synfig::Target_Tile::add_tile | ( | const synfig::Surface & | surface,
|  | int | x,
|  | int | y |
| ) |  |  | `[pure virtual]`

Adds the tile at x , y contained in surface.

Implemented in synfig::Target_Null_Tile.

virtual int synfig::Target_Tile::total_tiles | ( |  | ) | const`[inline, virtual]`

References synfig::Target::rend_desc().

virtual bool synfig::Target_Tile::start_frame | ( | ProgressCallback * | cb = `NULL` | ) | `[pure virtual]`

Marks the start of a frame.

Returns:
  `true` on success, `false` upon an error.

See also:
  end_frame(), start_scanline()

Implemented in synfig::Target_Null_Tile.

Referenced by render().

virtual void synfig::Target_Tile::end_frame | ( |  | ) | `[pure virtual]`

Marks the end of a frame.

See also:
  start_frame()

Implemented in synfig::Target_Null_Tile.

Referenced by render().

void synfig::Target_Tile::set_threads | ( | int | x | ) | `[inline]`

int synfig::Target_Tile::get_threads | ( |  | ) | const`[inline]`

void synfig::Target_Tile::set_tile_w | ( | int | w | ) | `[inline]`

int synfig::Target_Tile::get_tile_w | ( |  | ) | const`[inline]`

void synfig::Target_Tile::set_tile_h | ( | int | h | ) | `[inline]`

int synfig::Target_Tile::get_tile_h | ( |  | ) | const`[inline]`

bool synfig::Target_Tile::get_clipping | ( |  | ) | const`[inline]`

void synfig::Target_Tile::set_clipping | ( | bool | x | ) | `[inline]`

The documentation for this class was generated from the following files:

- target_tile.h
- target_tile.cpp